Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
KDE4.1 weird emerge errors [FIXED]
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
moult
Retired Dev
Retired Dev


Joined: 31 Mar 2008
Posts: 145
Location: Australia

PostPosted: Sat Sep 13, 2008 10:27 am    Post subject: KDE4.1 weird emerge errors [FIXED] Reply with quote

Well, I had KDE 4.1 running for quite a while, then I'm not exactly sure what happened but my kdesvn-portage overlay seemed to have been removed. I didn't notice this until I got suspicious why emerge -avuND world wasn't updating my KDE stuff and I couldn't emerge kdeplasma-addons (it said it couldn't find it).

So after doing layman -a kdesvn-portage, I did an eix-sync, revdep-rebuild, both of which had no errors, then I did emerge -avuND world. I received a stunningly large list wanting to change my packages from 4.1.0 to 4.1.1. Telling it to go on, it emerged for a while, when packages like konsole, step, etc started failing.

I had no idea why it was failing, so I simply did emerge -avuND --resume --skipfirst world (I don't have portage 2.2) to move on to other packages. After compiling about 100+ packages, I tried emerge -avuND world again to see if it would emerge my konsole, step, etc correctly. But I received the exact same error. Poking around, I came across my /etc/make.conf file and found out that in my global USE flags the flag qt4 had somehow been removed. Oh my, that looked important. I added it again (current list of useflags are qt3, qt4, arts, kde, jpeg, X, dbus, alsa, gtk, hal, mp3, ffmpeg, xvid).

Telling it to emerge -avuND world again, it emerged a couple packages and then failed on libplasma. The error message that shows libplasma failing is the exact same error message that I got for my previous errors when compiling konsole.

Code:
#
[  3%] Building CXX object libs/plasma/CMakeFiles/plasma.dir/packagemetadata.o                                                                                       
#
[  4%] Building CXX object libs/plasma/CMakeFiles/plasma.dir/packagestructure.o                                                                                       
#
/var/tmp/portage/kde-base/libplasma-4.1.1/work/libplasma-4.1.1/libs/plasma/packagestructure.cpp:368: warning: unused parameter 'packageName'                         
#
/var/tmp/portage/kde-base/libplasma-4.1.1/work/libplasma-4.1.1/libs/plasma/packagestructure.cpp:368: warning: unused parameter 'packageRoot'                         
#
[  6%] Building CXX object libs/plasma/CMakeFiles/plasma.dir/package.o                                                                                               
#
In file included from /var/tmp/portage/kde-base/libplasma-4.1.1/work/libplasma-4.1.1/libs/plasma/package.cpp:30:                                                     
#
/usr/kde/4.1/include/KDE/KIO/CopyJob:1:32: warning: no newline at end of file                                                                                         
#
In file included from /var/tmp/portage/kde-base/libplasma-4.1.1/work/libplasma-4.1.1/libs/plasma/package.cpp:31:                                                     
#
/usr/kde/4.1/include/KDE/KIO/FileCopyJob:2: error: missing terminating " character                                                                                   
#
In file included from /var/tmp/portage/kde-base/libplasma-4.1.1/work/libplasma-4.1.1/libs/plasma/package.cpp:31:                                                     
#
/usr/kde/4.1/include/KDE/KIO/FileCopyJob:2:29: warning: no newline at end of file                                                                                     
#
In file included from /var/tmp/portage/kde-base/libplasma-4.1.1/work/libplasma-4.1.1/libs/plasma/package.cpp:32:                                                     
#
/usr/kde/4.1/include/KDE/KIO/Job:1:28: warning: no newline at end of file                                                                                             
#
/usr/kde/4.1/include/KDE/KIO/CopyJob:1: error: expected constructor, destructor, or type conversion before '=' token                                                 
#
/var/tmp/portage/kde-base/libplasma-4.1.1/work/libplasma-4.1.1/libs/plasma/package.cpp: In static member function 'static bool Plasma::Package::installPackage(const QString&, const QString&)':                                                                                                                                             
#
/var/tmp/portage/kde-base/libplasma-4.1.1/work/libplasma-4.1.1/libs/plasma/package.cpp:282: error: 'KIO' has not been declared                                       
#
/var/tmp/portage/kde-base/libplasma-4.1.1/work/libplasma-4.1.1/libs/plasma/package.cpp:282: error: 'job' was not declared in this scope                               
#
/var/tmp/portage/kde-base/libplasma-4.1.1/work/libplasma-4.1.1/libs/plasma/package.cpp:282: error: 'KIO' has not been declared                                       
#
/var/tmp/portage/kde-base/libplasma-4.1.1/work/libplasma-4.1.1/libs/plasma/package.cpp:282: error: 'KIO' has not been declared                                       
#
/var/tmp/portage/kde-base/libplasma-4.1.1/work/libplasma-4.1.1/libs/plasma/package.cpp:290: error: 'KIO' has not been declared                                       
#
/var/tmp/portage/kde-base/libplasma-4.1.1/work/libplasma-4.1.1/libs/plasma/package.cpp:290: error: 'job' was not declared in this scope                               
#
/var/tmp/portage/kde-base/libplasma-4.1.1/work/libplasma-4.1.1/libs/plasma/package.cpp:290: error: 'KIO' has not been declared                                       
#
/var/tmp/portage/kde-base/libplasma-4.1.1/work/libplasma-4.1.1/libs/plasma/package.cpp:290: error: 'KIO' has not been declared                                       
#
/var/tmp/portage/kde-base/libplasma-4.1.1/work/libplasma-4.1.1/libs/plasma/package.cpp:321: error: 'KIO' has not been declared                                       
#
/var/tmp/portage/kde-base/libplasma-4.1.1/work/libplasma-4.1.1/libs/plasma/package.cpp:321: error: 'job' was not declared in this scope                               
#
/var/tmp/portage/kde-base/libplasma-4.1.1/work/libplasma-4.1.1/libs/plasma/package.cpp:321: error: 'KIO' has not been declared                                       
#
/var/tmp/portage/kde-base/libplasma-4.1.1/work/libplasma-4.1.1/libs/plasma/package.cpp:321: error: 'KIO' has not been declared                                       
#
/var/tmp/portage/kde-base/libplasma-4.1.1/work/libplasma-4.1.1/libs/plasma/package.cpp: In static member function 'static bool Plasma::Package::registerPackage(const Plasma::PackageMetadata&, const QString&)':                                                                                                                           
#
/var/tmp/portage/kde-base/libplasma-4.1.1/work/libplasma-4.1.1/libs/plasma/package.cpp:361: error: 'KIO' has not been declared
#
/var/tmp/portage/kde-base/libplasma-4.1.1/work/libplasma-4.1.1/libs/plasma/package.cpp:361: error: 'job' was not declared in this scope
#
/var/tmp/portage/kde-base/libplasma-4.1.1/work/libplasma-4.1.1/libs/plasma/package.cpp:361: error: 'KIO' has not been declared
#
/var/tmp/portage/kde-base/libplasma-4.1.1/work/libplasma-4.1.1/libs/plasma/package.cpp:361: error: 'KIO' has not been declared
#
/var/tmp/portage/kde-base/libplasma-4.1.1/work/libplasma-4.1.1/libs/plasma/package.cpp: At global scope:
#
/var/tmp/portage/kde-base/libplasma-4.1.1/work/libplasma-4.1.1/libs/plasma/package.cpp:371: warning: unused parameter 'icon'
#
make[2]: *** [libs/plasma/CMakeFiles/plasma.dir/package.o] Error 1
#
make[2]: *** Waiting for unfinished jobs....
#
make[1]: *** [libs/plasma/CMakeFiles/plasma.dir/all] Error 2
#
make: *** [all] Error 2
#
 *
#
 * ERROR: kde-base/libplasma-4.1.1 failed.
#
 * Call stack:
#
 *               ebuild.sh, line   49:  Called src_compile
#
 *             environment, line 2887:  Called kde4overlay-meta_src_compile
#
 *             environment, line 2247:  Called kde4overlay-meta_src_make
#
 *             environment, line 2296:  Called kde4overlay-base_src_make
#
 *             environment, line 2007:  Called cmake-utils_src_make
#
 *             environment, line  696:  Called die
#
 * The specific snippet of code:
#
 *           emake "$@" || die "Make failed!";
#
 *  The die message:
#
 *   Make failed!
#
 *
#
 * If you need support, post the topmost build error, and the call stack if relevant.
#
 * A complete build log is located at '/var/tmp/portage/kde-base/libplasma-4.1.1/temp/build.log'.
#
 * The ebuild environment file is located at '/var/tmp/portage/kde-base/libplasma-4.1.1/temp/environment'.
#
 *
#
 
#
 * Messages for package kde-base/libplasma-4.1.1:
#
 
#
 *
#
 * ERROR: kde-base/libplasma-4.1.1 failed.
#
 * Call stack:
#
 *               ebuild.sh, line   49:  Called src_compile
#
 *             environment, line 2887:  Called kde4overlay-meta_src_compile
#
 *             environment, line 2247:  Called kde4overlay-meta_src_make
#
 *             environment, line 2296:  Called kde4overlay-base_src_make
#
 *             environment, line 2007:  Called cmake-utils_src_make
#
 *             environment, line  696:  Called die
#
 * The specific snippet of code:
#
 *           emake "$@" || die "Make failed!";
#
 *  The die message:
#
 *   Make failed!
#
 *
#
 * If you need support, post the topmost build error, and the call stack if relevant.
#
 * A complete build log is located at '/var/tmp/portage/kde-base/libplasma-4.1.1/temp/build.log'.
#
 * The ebuild environment file is located at '/var/tmp/portage/kde-base/libplasma-4.1.1/temp/environment'.
#
 *


I have no idea what could be causing it. I've tried eix-sync and revdep-rebuild again, with no effect. Here is my emerge --info, it might be useful:

Code:
#
enigma ~ # emerge --info
#
Portage 2.1.4.4 (default-linux/x86/2007.0, gcc-4.1.2, glibc-2.6.1-r0, 2.6.25-gentoo-r7 i686)
#
=================================================================
#
System uname: 2.6.25-gentoo-r7 i686 Intel(R) Pentium(R) M processor 1300MHz
#
Timestamp of tree: Fri, 12 Sep 2008 12:34:01 +0000
#
app-shells/bash:     3.2_p33
#
dev-java/java-config: 1.3.7, 2.1.6
#
dev-lang/python:     2.5.2-r7
#
sys-apps/baselayout: 1.12.11.1
#
sys-apps/sandbox:    1.2.18.1-r2
#
sys-devel/autoconf:  2.13, 2.61-r2
#
sys-devel/automake:  1.4_p6, 1.5, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.1
#
sys-devel/binutils:  2.18-r3
#
sys-devel/gcc-config: 1.4.0-r4
#
sys-devel/libtool:   1.5.26
#
virtual/os-headers:  2.6.23-r3
#
ACCEPT_KEYWORDS="x86"
#
CBUILD="i686-pc-linux-gnu"
#
CFLAGS="-O2 -march=i686 -pipe"
#
CHOST="i686-pc-linux-gnu"
#
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/kde/4.1/env /usr/kde/4.1/share/config /usr/kde/4.1/shutdown /usr/share/config"
#
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/terminfo /etc/udev/rules.d"
#
CXXFLAGS="-O2 -march=i686 -pipe"
#
DISTDIR="/usr/portage/distfiles"
#
FEATURES="distlocks metadata-transfer sandbox sfperms strict unmerge-orphans userfetch"
#
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
#
MAKEOPTS="-j2"
#
PKGDIR="/usr/portage/packages"
#
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
#
PORTAGE_TMPDIR="/var/tmp"
#
PORTDIR="/usr/portage"
#
PORTDIR_OVERLAY="/usr/portage/local/layman/pro-audio /usr/portage/local/layman/kdesvn-portage /usr/local/portage"
#
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
#
USE="X acl alsa arts berkdb cli cracklib crypt cups dbus dri ffmpeg fortran gdbm gpm gtk hal iconv ipv6 isdnlog jpeg kde midi mp3 mudflap ncurses nls nptl nptlonly openmp pam pcre perl pppd python qt3 qt4 readline reflection session spl ssl tcpd unicode x86 xorg xvid zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcmalaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" USERLAND="GNU" VIDEO_CARDS="i810"
#
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LANG, LC_ALL, LDFLAGS, LINGUAS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS


I would appreciate any ideas on how to fix this. I've asked in the IRC channel and some suggestions have been that it's been a jobs issue, which I've tried changing -j2 to -j1, which didn't affect anything, and some said something about having to ~x86 keyword my gcc or portage - which I haven't been willing to try yet - I don't see why this error should pop up now all of a sudden.

Thanks in advance, and looking forward to some replies.


Last edited by moult on Sun Sep 14, 2008 11:04 pm; edited 1 time in total
Back to top
View user's profile Send private message
d2_racing
Bodhisattva
Bodhisattva


Joined: 25 Apr 2005
Posts: 13047
Location: Ste-Foy,Canada

PostPosted: Sun Sep 14, 2008 9:21 pm    Post subject: Reply with quote

Hi, maybe you should try the 2008.0/desktop profile and check if it will compile.

You are 1 profile behind the official one.
Back to top
View user's profile Send private message
moult
Retired Dev
Retired Dev


Joined: 31 Mar 2008
Posts: 145
Location: Australia

PostPosted: Sun Sep 14, 2008 11:04 pm    Post subject: Reply with quote

Ok - fixed it by removing everything KDE on my system and reinstalled KDE 4.1 (flawlessly).
Back to top
View user's profile Send private message
d2_racing
Bodhisattva
Bodhisattva


Joined: 25 Apr 2005
Posts: 13047
Location: Ste-Foy,Canada

PostPosted: Mon Sep 15, 2008 5:27 pm    Post subject: Reply with quote

Did you upgrade your profile ?
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum